Bug 127497 - Microsoft Wireless mouse doesn't work in Core 2 (later releases of kernel)
Microsoft Wireless mouse doesn't work in Core 2 (later releases of kernel)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-08 18:27 EDT by jay white
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:31:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jay white 2004-07-08 18:27:51 EDT
Description of problem:

My initial installation of Core 2 (2.6.5-1.358) works just fine; but,
with the two following kernel updates my Microsoft Wireless mouse goes
haywire in X.  

The mouse is USB; but, I have it connected to a KVM switch using a
PS/2 adapter.

Having read a couple of threads somewhat related, I changed the
protocol settings in xorg.conf from IMPS/2 to PS/2; but, that didn't
fix the problem.  I also disable gpm in run levels 3-5 and that still
didn't fix it.

Also, in run level 3, the keyboard works; but, I get a couple of lines
of artifacts (random text strings) showing up on the display.  They
don't affect the text I'm typing; but, it is certainly annoying.  The
keyboard is also a Microsoft Wireless KB connected through KVM.

Version-Release number of selected component (if applicable):

Fedora Core 2 #2.6.5-1.358

How reproducible:

Everytime I reboot the machine, if I select any kernel other than the
initial Core 2 kernel (2.6.5-1.358), my mouse goes haywire in X...

Steps to Reproduce:
1.  Reboot
2.  Select a kernel other than the initial release with Core 2
3.
  
Actual results:

Mouse goes haywire...randomly clicking and jumping across the screen
with the slightest movement.

Expected results:

Amazingly, I expect the mouse to move in conjunction with my movements.

Additional info:

I use YUM to update.
Comment 1 jay white 2004-07-08 18:33:30 EDT
Oops, under version-release I listed the kernel release that DOES
work...sorry if that was confusing.
Comment 2 Dave Jones 2005-04-16 00:31:59 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.